
$(function(){

	calc();

	$('#calc_plan').on('change', calc);
  $('#inv_amount').bind('input', calc).on('keypress', isNumberKey);
  $('#inv_amount').on("input", function(calc) {
    $('.output').val(this.value +"$" );
    }).trigger("change");
});

function isNumberKey(evt) {
	var charCode = (evt.which) ? evt.which : event.keyCode;
	if (charCode > 31 && (charCode < 48 || charCode > 57))
		return false;
	return true;
}


 

function calc() {
  
	var percent = $('#calc_plan').val();
	var amount = $('#inv_amount').val();
	var max = $('#calc_plan').find(":selected").attr('data-max');
	var min = $('#calc_plan').find(":selected").attr('data-min');
	$('#total_return').val('Min-Max : $' + Math.round(min) +'- $' + Math.round(max) + '');
	if(amount <= Math.round(max) & amount >= Math.round(min)) {
		$('#assign_per').val(percent+'%');
		var total = amount*percent*22/100 - amount;
		var new_amount = $('#inv_amount').val();
		var value1 = total.toFixed(2);
		var value2 = $('#inv_amount').val();
		var value3 = parseFloat(new_amount) + parseFloat(value1); 
		 $('#total_percent').val(percent+'%');
		$('#total_return').val('$'+value3.toFixed(2));
		$('#net_profit').val('$'+total.toFixed(2));
	}

}


particlesJS("particles-js", {"particles":{"number":{"value":80,"density":{"enable":true,"value_area":800}},"color":{"value":"#bd195b"},"shape":{"type":"circle","stroke":{"width":0,"color":"#000000"},"polygon":{"nb_sides":5},"image":{"src":"img/github.svg","width":100,"height":100}},"opacity":{"value":0.5,"random":false,"anim":{"enable":false,"speed":1,"opacity_min":0.1,"sync":false}},"size":{"value":3,"random":true,"anim":{"enable":false,"speed":40,"size_min":0.1,"sync":false}},"line_linked":{"enable":true,"distance":150,"color":"#ffffff","opacity":0.4,"width":1},"move":{"enable":true,"speed":6,"direction":"none","random":false,"straight":false,"out_mode":"out","bounce":false,"attract":{"enable":false,"rotateX":600,"rotateY":1200}}},"interactivity":{"detect_on":"canvas","events":{"onhover":{"enable":true,"mode":"repulse"},"onclick":{"enable":true,"mode":"push"},"resize":true},"modes":{"grab":{"distance":400,"line_linked":{"opacity":1}},"bubble":{"distance":400,"size":40,"duration":2,"opacity":8,"speed":3},"repulse":{"distance":200,"duration":0.4},"push":{"particles_nb":4},"remove":{"particles_nb":2}}},"retina_detect":true});var count_particles, stats, update; stats = new Stats; stats.setMode(0); stats.domElement.style.position = 'absolute'; stats.domElement.style.left = '0px'; stats.domElement.style.top = '0px'; document.body.appendChild(stats.domElement); count_particles = document.querySelector('.js-count-particles'); update = function() { stats.begin(); stats.end(); if (window.pJSDom[0].pJS.particles && window.pJSDom[0].pJS.particles.array) { count_particles.innerText = window.pJSDom[0].pJS.particles.array.length; } requestAnimationFrame(update); }; requestAnimationFrame(update);